Subject: Re: bug#11797: trunk does not build on NetBSD

From: "Herbert J. Skuhra" <[email-masked]>
Date: Thu, 28 Jun 2012 12:18:14 +0200

On Thu, Jun 28, 2012 at 2:05 AM, Glenn Morris <[email-masked]> wrote:
> "Herbert J. Skuhra" wrote:
>
>> 1. I have to modify the configure script so that it checks for -lpng15
>> instead of -lpng
>
> Not the main part of your report of course, but really?
> There's no "libpng" on NetBSD, only "libpng15"?

I've built png from pkgsrc and I have only:

/usr/pkg/lib/libpng15.la
/usr/pkg/lib/libpng15.a
/usr/pkg/lib/libpng15.so
/usr/pkg/lib/libpng15.so.15
/usr/pkg/lib/libpng15.so.15.11.0

> Isn't that a PITA for compiling a bunch of software, not just Emacs?

Yes, when the software does not use pkg-config or libpng-confg to
detect libpng.

> You aren't just missing the equivalent of a "libpng-devel" package that
> provides the unversioned .so?

pkgsrc has a workaround for software that does not use pkg-config or
libpng-config.

Excerpt from /usr/pkgsrc/graphics/png/buildlink3.mk:

# Some software directly tries to link against -lpng instead of
# using pkg-config or libpng-config to find the proper arguments
# instead of installing symlinks. Work around this with buildlink
# magic: packages outside pkgsrc will need to be converted to
# one of the proper methods or fail.
BUILDLINK_TRANSFORM+=   l:png:png15